# fish – fish shell (/bin/fish)

- Synopsis
- Parameters
- Status

## Synopsis

- This is here because some people are restricted to fish.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
admin_users list | Default: ["root", "toor"] | ini entries: [defaults] admin_users = ['root', 'toor'] env:ANSIBLE_ADMIN_USERS var: ansible_admin_users | list of users to be expected to have admin privileges. This is used by the controller to determine how to share temporary files between the remote user and the become user.
async_dir - | Default: "~/.ansible_async" | ini entries: [defaults] async_dir = ~/.ansible_async env:ANSIBLE_ASYNC_DIR var: ansible_async_dir | Directory in which ansible will keep async job information
environment dictionary | Default: {} |  | dictionary of environment variables and their values to use when executing commands.
remote_tmp - | Default: "~/.ansible/tmp" | ini entries: [defaults] remote_tmp = ~/.ansible/tmp env:ANSIBLE_REMOTE_TEMP env:ANSIBLE_REMOTE_TMP var: ansible_remote_tmp | Temporary directory to use on targets when executing tasks.
system_tmpdirs list | Default: ["/var/tmp", "/tmp"] | ini entries: [defaults] system_tmpdirs = ['/var/tmp', '/tmp'] env:ANSIBLE_SYSTEM_TMPDIRS var: ansible_system_tmpdirs | List of valid system temporary directories for Ansible to choose when it cannot use ``remote_tmp``, normally due to permission issues. These must be world readable, writable, and executable.

## Status

- This shell is not guaranteed to have a backwards compatible interface. [preview]
- This shell is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.